## klinkstatus 17.08.3

=== src/CMakeLists.txt ===
add_subdirectory(plugins)

set(GENERIC_KLINKSTATUS_LIB_VERSION "4.0.0")
set(GENERIC_KLINKSTATUS_LIB_SOVERSION "4")

configure_file(config-tidy.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-tidy.h )

include_directories(
    ${CMAKE_SOURCE_DIR}/src 
    ${CMAKE_SOURCE_DIR}/src/ui
    ${CMAKE_SOURCE_DIR}/src/interfaces
    ${CMAKE_SOURCE_DIR}/src/interfaces/engine
    ${CMAKE_SOURCE_DIR}/src/interfaces/ui
    ${CMAKE_BINARY_DIR}/src
    ${KDEPIMLIBS_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}/threadweaver
    ${KROSS_INCLUDES}
    ${QT_INCLUDES}
)

if(LIBTIDY_FOUND)
    include_directories(${LIBTIDY_INCLUDE_DIR})
endif(LIBTIDY_FOUND)



########### next target ###############

set(libutils_SRCS 
    ${CMAKE_SOURCE_DIR}/src/utils/utils.cpp     
    ${CMAKE_SOURCE_DIR}/src/utils/timer.cpp
)

set(libparser_SRCS
    ${CMAKE_SOURCE_DIR}/src/parser/htmlparser.cpp 
    ${CMAKE_SOURCE_DIR}/src/parser/http.cpp 
    ${CMAKE_SOURCE_DIR}/src/parser/mstring.cpp 
    ${CMAKE_SOURCE_DIR}/src/parser/node.cpp 
    ${CMAKE_SOURCE_DIR}/src/parser/url.cpp
    ${CMAKE_SOURCE_DIR}/src/parser/robotsparser.cpp
)

set(libengine_SRCS 
    ${CMAKE_SOURCE_DIR}/src/engine/linkchecker.cpp 
    ${CMAKE_SOURCE_DIR}/src/engine/linkfilter.cpp 
    ${CMAKE_SOURCE_DIR}/src/engine/linkstatus.cpp 
    ${CMAKE_SOURCE_DIR}/src/engine/linkstatushelper.cpp
    ${CMAKE_SOURCE_DIR}/src/engine/searchmanager.cpp 
    ${CMAKE_SOURCE_DIR}/src/engine/searchmanageragent.cpp 
    ${CMAKE_SOURCE_DIR}/src/engine/automationengine.cpp 
)

set(libinterfaces_SRC
    ${CMAKE_SOURCE_DIR}/src/interfaces/engine/isearchmanager.cpp
    ${CMAKE_SOURCE_DIR}/src/interfaces/ui/iview.cpp
)

set(libui_SRCS 
    ${CMAKE_SOURCE_DIR}/src/ui/view.cpp 
    ${CMAKE_SOURCE_DIR}/src/ui/documentrootdialog.cpp 
    ${CMAKE_SOURCE_DIR}/src/ui/klshistorycombo.cpp
    ${CMAKE_SOURCE_DIR}/src/ui/resultssearchbar.cpp 
    ${CMAKE_SOURCE_DIR}/src/ui/resultview.cpp 
    ${CMAKE_SOURCE_DIR}/src/ui/sessionwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/ui/tabwidgetsession.cpp  
    ${CMAKE_SOURCE_DIR}/src/ui/treeview.cpp
    ${CMAKE_SOURCE_DIR}/src/ui/sessionstackedwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/ui/unreferreddocumentswidget.cpp
    ${CMAKE_SOURCE_DIR}/src/ui/httppostdialog.cpp
)

set(libuisettings_SRCS 
    ${CMAKE_SOURCE_DIR}/src/ui/settings/configidentificationdialog.cpp     
    ${CMAKE_SOURCE_DIR}/src/ui/settings/configresultsdialogimpl.cpp
)

set(libpim_SRCS 
    ${CMAKE_SOURCE_DIR}/src/pim/pimconfigdialog.cpp
    ${CMAKE_SOURCE_DIR}/src/pim/pimagent.cpp
)

set (klinkstatuscommon_LIB_SRCS
    ${libutils_SRCS}
    ${libparser_SRCS}
    ${libengine_SRCS}
    ${libui_SRCS}
    ${libuisettings_SRCS}
    ${libinterfaces_SRC}
    ${libpim_SRCS}
    klsfactory.cpp
    actionmanager.cpp
    global.cpp
    klinkstatusbasepart.cpp
)

kde4_add_ui_files(klinkstatuscommon_LIB_SRCS
    ${CMAKE_SOURCE_DIR}/src/ui/sessionwidgetbase.ui
    ${CMAKE_SOURCE_DIR}/src/ui/unreferreddocumentswidget.ui
    ${CMAKE_SOURCE_DIR}/src/ui/httppostwidgetui.ui
    ${CMAKE_SOURCE_DIR}/src/ui/settings/configsearchdialog.ui
    ${CMAKE_SOURCE_DIR}/src/ui/settings/configresultsdialog.ui
    ${CMAKE_SOURCE_DIR}/src/ui/settings/configidentificationdialogui.ui   
    ${CMAKE_SOURCE_DIR}/src/pim/identitywidgetui.ui
)

kde4_add_kcfg_files(klinkstatuscommon_LIB_SRCS ${CMAKE_SOURCE_DIR}/src/cfg/klsconfig.kcfgc)
kde4_add_kcfg_files(klinkstatuscommon_LIB_SRCS ${CMAKE_SOURCE_DIR}/src/engine/automationconfig.kcfgc)

if(LIBTIDY_FOUND)
    set(libtidy_SRCS ${CMAKE_SOURCE_DIR}/src/tidy/markupvalidator.cpp)
    set(klinkstatuscommon_LIB_SRCS ${klinkstatuscommon_LIB_SRCS} ${libtidy_SRCS})
endif(LIBTIDY_FOUND)


# D-Bus
qt4_add_dbus_adaptor(klinkstatuscommon_LIB_SRCS interfaces/engine/org.kde.kdewebdev.klinkstatus.SearchManager.xml isearchmanager.h ISearchManager isearchmanageradaptor ISearchManagerAdaptor)

qt4_add_dbus_adaptor(klinkstatuscommon_LIB_SRCS interfaces/ui/org.kde.kdewebdev.klinkstatus.View.xml iview.h IView iviewadaptor IViewAdaptor)


kde4_add_library(klinkstatuscommon SHARED ${klinkstatuscommon_LIB_SRCS})

target_link_libraries(klinkstatuscommon
    ${KDE4_KDECORE_LIBS} 
    ${KDE4_KPARTS_LIBS} 
    ${KDE4_KIO_LIBS}
    ${KDE4_KHTML_LIBS}
    ${KDE4_THREADWEAVER_LIBRARY}
    ${KDE4_KROSSUI_LIBS}
    ${KDE4_KNEWSTUFF2_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${KDEPIMLIBS_MAILTRANSPORT_LIBS}
    ${KDEPIMLIBS_KPIMIDENTITIES_LIBS}
    ${KDEPIMLIBS_KMIME_LIBS}
)

if(LIBTIDY_FOUND)
    target_link_libraries(klinkstatuscommon ${LIBTIDY_LIBRARIES})
endif(LIBTIDY_FOUND)

set_target_properties(klinkstatuscommon 
    PROPERTIES VERSION ${GENERIC_KLINKSTATUS_LIB_VERSION} 
    SOVERSION ${GENERIC_KLINKSTATUS_LIB_SOVERSION} )

install(TARGETS klinkstatuscommon ${INSTALL_TARGETS_DEFAULT_ARGS})



########### next target ###############

set(klinkstatuspart_PART_SRCS
    klinkstatus_part.cpp
)

kde4_add_kcfg_files(klinkstatuspart_PART_SRCS ${CMAKE_SOURCE_DIR}/src/cfg/klsconfig.kcfgc)

kde4_add_plugin(klinkstatuspart ${klinkstatuspart_PART_SRCS})

target_link_libraries(klinkstatuspart klinkstatuscommon ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS})

install(TARGETS klinkstatuspart DESTINATION ${PLUGIN_INSTALL_DIR})



########### next target ###############

set(klinkstatus_SRCS
    klinkstatus.cpp main.cpp
    ${CMAKE_SOURCE_DIR}/src/ui/trayicon.cpp)


kde4_add_executable(klinkstatus ${klinkstatus_SRCS})

target_link_libraries(klinkstatus ${KDE4_KPARTS_LIBS})

install(TARGETS klinkstatus ${INSTALL_TARGETS_DEFAULT_ARGS})



########### next target ###############

# set(klinkstatus_SRCS
#     mainCli.cpp
# )
# 
# 
# kde4_add_executable(klinkstatuscli ${klinkstatus_SRCS})
# 
# target_link_libraries(klinkstatuscli klinkstatuscommon)
# 
# install(TARGETS klinkstatuscli ${INSTALL_TARGETS_DEFAULT_ARGS})



########### install files ###############

install(FILES  klinkstatus.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES  klinkstatus_part.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES  klinkstatus_part.rc  DESTINATION ${DATA_INSTALL_DIR}/klinkstatuspart)
install(FILES  klinkstatus_shell.rc  DESTINATION ${DATA_INSTALL_DIR}/klinkstatus)
install(FILES  klinkstatus.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR})

install(FILES interfaces/engine/org.kde.kdewebdev.klinkstatus.SearchManager.xml 
    DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

## klinkstatus 16.12.3

=== debian/changelog ===
klinkstatus (4:16.12.3-0ubuntu1) zesty; urgency=medium

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * Update copyright after split from kdewebdev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 06 Apr 2017 16:55:31 +0100

klinkstatus (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Initial packaging for klinkstatus which was split from kdewebdev

  [ Rik Mills ]
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:09 +0000

kdewebdev (4:16.04.3-1ubuntu1) yakkety; urgency=medium

  * Merge with debian, this drops the kdewebdev-dbg package which was depending
    on kde-runtime-dbg which is now gone from the Ubuntu archive.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 10 Oct 2016 11:02:05 +0200

kdewebdev (4:16.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Remove extra nepomuk-core-dev build dependency.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Aug 2016 07:15:23 +0200

kdewebdev (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:42:29 +0200

kdewebdev (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:18:55 -0700

kdewebdev (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:41:38 +0100

kdewebdev (4:15.08.3-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym

  [ Maximiliano Curia ]
  * Update the metadata to point to the svn

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 18:01:15 +0200

kdewebdev (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:02 +0100

kdewebdev (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:23:07 +0100

kdewebdev (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:49:08 +0100

kdewebdev (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.2).
  * New upstream release (15.08.0).
  * Bump Standards-Version to 3.9.6.
  * Add libsoprano-dev build dep.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:11:07 +0200

kdewebdev (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:24:06 +0100

kdewebdev (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:48:42 +0100

kdewebdev (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:58:56 +0200

kdewebdev (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:00:11 -0700

kdewebdev (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:53:42 -0800

kdewebdev (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Remove kdepimlibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:21:31 +0100

kdewebdev (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 18:43:11 -0800

kdewebdev (4:14.11.95-0ubuntu1) vivd; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, remaining changes:
   - Drop nepomuk-core-dev from Build Depends

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 03:35:16 +0000

kdewebdev (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:48:05 -0700

kdewebdev (4:4.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add an explicit kdelibs5-dev build dependency before kdepimlibs5-dev;
    this should help pulling phonon-backend-dummy as build dependency instead
    of a real backend, even if some library depends on phonon.
  * Remove obsolete installgen file.
  * Point Homepage to http://www.kde.org, as kdewebdev.org has expired.
    (Closes: #758292)

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2014 18:45:52 +0200

kdewebdev (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:09:53 +0200

kdewebdev (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
Source: klinkstatus
Section: web
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.30~),
               kdepimlibs5-dev (>= 4:4.11),
               libboost-dev,
               libtidy-dev,
               libxslt-dev,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/klinkstatus
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/klinkstatus

Package: klinkstatus
Architecture: any
Section: web
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: web link validity checker
 KLinkStatus is KDE's web link validity checker. It allows you to
 search internal and external links throughout your web site. Simply
 point it to a single page and choose the depth to search.
 .
 You can also check local files, or files over ftp:, fish: or any other
 KIO protocols. For performance, links can be checked simultaneously.
 .
 This package is part of KDE web development module.

## klinkstatus 17.04.3

=== debian/changelog ===
klinkstatus (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:33:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                kdepimlibs5-dev (>= 4:4.11),
                libboost-dev,
                libtidy-dev,

## klinkstatus 17.08.3

=== debian/changelog ===
klinkstatus (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:07 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.34~),
+               kdelibs5-dev (>= 4:4.14.38~),
                kdepimlibs5-dev (>= 4:4.11),
                libboost-dev,
                libtidy-dev,

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/klinkstatus-([\d.]+).tar.xz
